function errorHandler(filename, methodname, e)
{
    try
    {
        var errorMessage;
        if( e.message == null )
        {
            errorMessage = e;
        }
        else
        {
            errorMessage = e.message;
        }
        var displayMessage;
        if (e instanceof TypeError)
        {
            displayMessage = 'Variable type problem, check your variable definitions: ' + ' FileName:' + filename + ' - Method Name:' + methodname + ' - Message:' +  errorMessage;
        }
        else if (e instanceof RangeError)
        {
            displayMessage = 'Number out of range: ' + 'FileName:' + filename + ' - Method Name:' + methodname + ' - Message:' +  errorMessage;
        }
        else if (e instanceof SyntaxError)
        {
            displayMessage = 'Syntax error in code: ' + ' FileName:' + filename + ' - Method Name:' + methodname + ' - Message:' +  errorMessage;
        }
        else if (e instanceof EvalError)
        {
            displayMessage = 'Eval error in code: ' + ' FileName:' + filename + ' - Method Name:' + methodname + ' - Message:' +  errorMessage;
        }
        else if (e instanceof ReferenceError)
        {
            displayMessage = 'Reference error in code: ' + 'FileName:' + filename + ' - Method Name:' + methodname + ' - Message:' +  errorMessage;
        }
        else if (e instanceof URIError)
        {
            displayMessage = 'URIError error in code: ' + ' FileName:' + filename + ' - Method Name:' + methodname + ' - Message:' +  errorMessage;
        }
        else
        {
            displayMessage = 'An unspecified error occurred: ' + ' FileName:' + filename + ' - Method Name:' + methodname + ' - Message:' +  errorMessage;
        }
        console.log(displayMessage);
        submitToServer(filename,methodname,displayMessage);
        
        //ocultamos el spinner
        $.mobile.loading( 'hide');
    }
    catch(error)
    {
        console.log('Exception Handler: Error:' + error.name + ',' + error.message);
    }
}
function submitToServer(filename, methodname, errorMessage)
{
    try
    {
        var input = '{"pstrFileName":"' + escape(filename) + '","pstrMethodName":"' + escape(methodname) + '","pstrErrorMessage":"' + escape(errorMessage) + '"}';
//TODO Crear el servicio para enviar los errores
       // $.post("/WCFService/ClientExceptionHandler.svc/SubmitJavascriptError", input );
    }
    catch( error )
    {
        console.log('Exception Handler: Error:' + error.name + ',' + error.message);
    }
}