//devoped by alzago.com

//devuelve la fecha con formato dd/mm/yyyy
function formattedDate(date) {
  var d = new Date(date || Date.now()),
      month = '' + (d.getMonth() + 1),
      day = '' + d.getDate(),
      year = d.getFullYear();

  if (month.length < 2) month = '0' + month;
  if (day.length < 2) day = '0' + day;

  return [day, month, year].join('/');
}

//devuelve la fecha con formato dd/mm/yyyy hh24:mi
function formattedDateTime(date) {
  var d = new Date(date || Date.now()),
      month = '' + (d.getMonth() + 1),
      day = '' + d.getDate(),
      year = d.getFullYear(),
      hour = '' + d.getHours(),
      min = '' + d.getMinutes();

  if (month.length < 2) month = '0' + month;
  if (day.length < 2) day = '0' + day;
  if (hour.length < 2) hour = '0' + hour;
  if (min.length < 2) min = '0' + min;

  return [day, month, year].join('/') +' '+ hour + ':' + min;
}

//devolvemos la fecha in timestamp, out date forateada, si es nulo tb lo tiene en cuenta
function getDateTime(date) {
  var fecha = new Date();
  try {
    // *1000 para expresarlo en milisegundos, date.setTime para convertir fecha timpestamp a fecha
    fecha.setTime(date *1000);
    fecha = formattedDateTime(fecha);
  }
  catch(e){
    fecha = null;
  }
  return (fecha);
}

//devolvemos la fecha in timestamp, out date, si es nulo tb lo tiene en cuenta
function getDateTimeSinFormatear(date) {
  var fecha = new Date();
  try {
    // *1000 para expresarlo en milisegundos, date.setTime para convertir fecha timpestamp a fecha
    fecha.setTime(date *1000);
  }
  catch(e){
    fecha = null;
  }
  return (fecha);
}

//devuelve la fecha con formato yyyy-mm-dd hh24:mi
function formattedMySQLDateTime(date) {
  var d = new Date(date || Date.now()),
      month = '' + (d.getMonth() + 1),
      day = '' + d.getDate(),
      year = d.getFullYear(),
      hour = '' + d.getHours(),
      min = '' + d.getMinutes();

  if (month.length < 2) month = '0' + month;
  if (day.length < 2) day = '0' + day;
  if (hour.length < 2) hour = '0' + hour;
  if (min.length < 2) min = '0' + min;

  return [year, month, day].join('-') +' '+ hour + ':' + min;
}

//devuelve la fecha con formato yyyy-mm-dd%20hh24:mi
function formattedDateService(date) {
  var d = new Date(date || Date.now()),
      month = '' + (d.getMonth() + 1),
      day = '' + d.getDate(),
      year = d.getFullYear(),
      hour = '' + d.getHours(),
      min = '' + d.getMinutes();

  if (month.length < 2) month = '0' + month;
  if (day.length < 2) day = '0' + day;
  if (hour.length < 2) hour = '0' + hour;
  if (min.length < 2) min = '0' + min;

  return [year, month, day].join('-') +'%20'+ hour + ':' + min;
}

//devuelve la fecha con formato yyyy-mm-dd
function formattedDateGuiones(date) {
  var d = new Date(date || Date.now()),
      month = '' + (d.getMonth() + 1),
      day = '' + d.getDate(),
      year = d.getFullYear();

  if (month.length < 2) month = '0' + month;
  if (day.length < 2) day = '0' + day;

  return [year, month, day].join('-');
}

//devuelve la hora con formato hh24:mi
function formattedTimeGuiones(date) {
  var d = new Date(date || Date.now()),
      hour = '' + d.getHours(),
      min = '' + d.getMinutes();

  if (hour.length < 2) hour = '0' + hour;
  if (min.length < 2) min = '0' + min;

  return hour + ':' + min;
}