//calcula la posicion GPS
function calculaPosGPS() {
console.log("calculaPosGPS");
    ///si no existe el objeto navigator.geolocation, es porque no se soporta la localización
    if (navigator.geolocation) {
console.log("navigator.geolocation");
        //obtenemos la posicion lat, lon y accuracy
        navigator.geolocation.getCurrentPosition(onGeoSuccess, onGeoError,{ maximumAge: 30000, timeout: 30000, enableHighAccuracy: true });

    }
    else
    {
        var error;
        error.code = "NOSOPORTADA";
        error.message = "Geolocalizacion no soportada";
        onGeoError(error);
    }
}
// onSuccess Geolocation
function onGeoSuccess(position) {
console.log(" onGeoSuccess");
    //guardamos los datos para usarlos posteriormente
    $.posicion.latitud = position.coords.latitude;
    $.posicion.longitud = position.coords.longitude;
    $.posicion.precision = position.coords.accuracy;
    reintentarGPS();
  ubicacionOn();
}

// onError Callback receives a PositionError object
function onGeoError(error) {
    console.log('GEOLOCATION ERROR:'+'code: '    + error.code    + '\n' +
            'message: ' + error.message + '\n');
     //guardamos los datos para usarlos posteriormente
    $.posicion.latitud = 0;
    $.posicion.longitud = 0;
    $.posicion.precision = 0;
    
    reintentarGPS();
}
// intentamos mejorar la posicion GPS si la precicion no es muy buena, o si ha habido un error
function reintentarGPS() {
    //si la posicion obtenida no tiene la suficiente precision recalculamos
    //precision 50 metros, intentos 10
console.log('intentoGPS: ' + $.posicion.intentosGPS);
    $precision = $.posicion.precision;
    if ( $precision == null || $precision == 0) {
        $precision = 1000; //para que entre en el if
    }
    if ($precision > 50 && $.posicion.intentosGPS<20) {
        reCalculaPosGPS();
    }
    else {
    }
    $.posicion.intentosGPS++;
}
//recalculamos la posicion GPS
function reCalculaPosGPS() {
    //cambiamos el texto del GPS
    //le ponemos el timer para que se vea que se calcula...
    setTimeout(function() {calculaPosGPS()}, 1000);
}

// Incluimos nuestra posicion en el mapa y un circulo con la precision
// ponemos nuestra posicion, si la tenemos, y con un circulo marcamos la precision de nuestra ubicacion
function miPosicionEnElMapa(map) {
    if ($.posicion.latitud != 0 || $.posicion.longitud != 0) {
      var milatlng = new google.maps.LatLng($.posicion.latitud, $.posicion.longitud);
      //ponemos mi posicion
      var myloc = new google.maps.Marker({
                                        position: milatlng,
                                        clickable: false,
                                        icon: new google.maps.MarkerImage('img/mobileimgs2.png',
                                                                                        new google.maps.Size(22,22),
                                                                                        new google.maps.Point(0,18),
                                                                                        new google.maps.Point(11,11)),
                                        shadow: null,
                                        zIndex: 999,
                                        map: map
                                    });
        // Add circle overlay and bind to marker
        var circle = new google.maps.Circle({
                                      center: milatlng,
                                      map:  map,
                                      radius: $.posicion.precision,
                                      strokeColor: "#0000FF",
                                      strokeOpacity: 0.6,
                                      strokeWeight: 1,
                                      fillColor: "#0000FF",
                                      fillOpacity: 0.3
                                      });
    }
}