/*establecemos los parametros por defecto de la app*/
function setParametros() {
    //cargamos los valores del json de parametros
  $.getJSON("parametros.json", function(data){
    var idioma = "es";
    var limit = 10;

    /*si no se han definido correctamente los parametros, avisa con una alerta*/
    if (data.entornos[data.entorno].urlServicio === undefined) alert("No se ha definido correctamente la url del servicio");

    if (data.idioma === undefined) idioma = data.idioma;
    if (data.limit === undefined) limit = data.limit;

    /*establecemos las variables de sesion*/

    /*servicios ini*/
//     sessionStorage.urlServicio = data.entornos[data.entorno].urlServicio;
//     sessionStorage.login= sessionStorage.urlServicio + data.entornos[data.entorno].login;
//     sessionStorage.logout= sessionStorage.urlServicio + data.entornos[data.entorno].logout;
//     sessionStorage.connect= sessionStorage.urlServicio + data.entornos[data.entorno].connect;
//     sessionStorage.token= sessionStorage.urlServicio + data.entornos[data.entorno].token;
//
//     /*servicios fin*/
//     sessionStorage.idioma = idioma;
//     sessionStorage.limit = limit;
//     sessionStorage.timeoutconsulta = data.timeoutconsulta;
//     sessionStorage.nombreApp = data.nombreApp;

    //Cargamos todas las variables comunes del JSON (cuelgan de raiz, excepto 'entornos'
    //que es el array con la parte específica del entorno)
    for(var key in data) {
      if ( key != 'entornos'){
        sessionStorage[key] = data[key];
      }
    }

//TODO considerar que se pueden construir las urls como "PATH_BASE + PATH_SERVICIO" como se hacía antes
//      para no tener q n-plicar el ruta base en cada servicio

    //Cargamos todas la parte específica del entorno seleccionado
    for(var key in data.entornos[data.entorno]) {
      sessionStorage[key] = data.entornos[data.entorno][key];
    }

//         $.variables.paramCargados =true;
//         realizarPrimeraCarga();
  });
}
