function validar_cp (cp){
  if (cp.length > 0 && cp.match(/^[0-9]{5}$/) == null){
    alerta('El código postal debe tener 5 dígitos (0-9)', '', 'Aceptar');
    return false;
  }
  return true;
}

function validar_telefono (telefono){
  if (telefono.match(/^[0-9]{9}$/) == null){
    alerta('El teléfono debe tener 9 dígitos (0-9)', '', 'Aceptar');
    return false;
  }
  return true;
}


function validar_password (pwd1, pwd2){
  if (pwd1 != pwd2){
    alerta('Las contraseñas no coinciden', '', 'Aceptar');
    return false;
  }
  if (pwd1.length == 0 || pwd2.length == 0 ){
    alerta('La contraseña es obligatoria', '', 'Aceptar');
    return false;
  }
  return true;
}

function campo_obligatorio (campo, nombre){
  if (campo.length == 0){
    alerta('El campo "' + nombre + '" es requerido.', '', 'Aceptar');
    return false;
  }
  return true;
}

function validad_condiciones_uso(){
  if ($('#page_alta_condiciones').attr('checked') != "checked"){
    alerta('Debe aceptar las condiciones de uso.', '', 'Aceptar');
    return false;
  }
  return true;
}

